module.exports = {
  parser: 'babel-eslint',
  extends: 'airbnb',
  plugins: [
    'react-hooks',
  ],
  env: {
    browser: true,
    jest: true,
  },
  globals: {
    // react-testing-library
    render: true,
    fireEvent: true,
  },
  rules: {
    'max-len': [
      'error',
      160,
    ],
    'comma-dangle': 'off',
    'no-console': ['warn', { allow: ['warn', 'error'] }],
    'no-mixed-operators': 'off',
    'eol-last': 'off',
    'no-confusing-arrow': 'off',
    'no-use-before-define': 'off',
    'linebreak-style': 'off',
    'no-param-reassign': 'error',
    'no-unused-vars': [
      'warn',
      {
        'argsIgnorePattern': '^_$',
      },
    ],
    'global-require': 'off',
    'spaced-comment': 'off',
    'object-curly-newline': 'off',
    'padded-blocks': 'warn',
    'arrow-body-style': 'warn',
    'implicit-arrow-linebreak': 'off',
    'function-paren-newline': 'off',
    'indent': 'warn',
    'prefer-arrow-callback': 'off',
    'func-names': 'off',
    'react/prop-types': 'warn',
    'react/no-unused-prop-types': 'warn',
    'react/no-unused-state': 'warn',
    'react/forbid-prop-types': 'off',
    'react/no-danger': 'off',
    'react/require-default-props': 'off',
    'react/jsx-wrap-multilines': 'off',
    'react/jsx-one-expression-per-line': 'off',
    'react/no-typos': 'off',
    'react/destructuring-assignment': 'off',
    'react/sort-comp': 'off',
    'react/jsx-filename-extension': 'off',
    'react/no-array-index-key': 'off',
    'react-hooks/rules-of-hooks': 'error',
    'react-hooks/exhaustive-deps': 'error',
    'jsx-a11y/no-static-element-interactions': 'off',
    'import/no-dynamic-require': 'off',
    'import/no-named-as-default': 'off',
    'import/no-named-as-default-member': 'off',
    'import/prefer-default-export': 'off',
  },
};
